--============================================================================
--  coordinatesgame.lua
--  Copyright (c) 2009, Bamtang Games. All Rights Reserved.
------------------------------------------------------------------------------

require( "scripts/style.lua" );

MakeDialog {
	-- Name the modal dialog
	name = "thegame",
	Bitmap {
		name = "backgroundimage",
		image = "images/gui/coordinates/ae_coordinatesgame_background",

		CoordinatesWindow {
			x = 0,
			y = 0,
			w = 800, 
			h = 600,

            level = gCoordinatesLevel;

			SetStyle(ButtonStyle),
			
			Bitmap {
			   name = "bmpOkDisabled",
				image = "images/gui/coordinates/ae_but_ok_i.png",
				x = 367 + 28,
				y = 387 - 3,
			},
			Button {
				x = 367 + 28,
				y = 387 - 3,
				name = "btnOK",
				graphics = CoordinatesArrowRightButtonGraphics,
				cancel = true,
				command =
					function()
						actionArrow4();
					end
			},
			Button
			{
				x = 601,
				y = 545,
				name = "btnPause",
				graphics = MenuButtonGraphics,
				cancel = true,
				command =
					function()
						DoModal("scripts/pause.lua");
					end
			},
			Bitmap {
			   name = "bmpSkipDisabled",
				image = gLocalizedPath.."images/buttons/ae_skip_i",
				x = 10,
				y = 545,
			},
			Button {
				x = 10,
				y = 545,
				name = "btnSkip",
				graphics = SkipButtonGraphics,
				cancel = true,
				command =
					function()
                        DoModal("scripts/skip_message.lua");
                        --
                        SendMessage("minigameSkipped"); 
                        SetState(kPause, false);
					end
			},
			WindowFx {
				name = "WindowFx";
				x=0; y=0; w=800; h=600;
				ParticleFile="assets/particles/fx_mn_coordinates/fx_spkcrd.xml";
				ParticleX=314;
				ParticleY=210; --390;
			},
		},
		Text {
			name = "txtCoordinatesTitle",
			label = "CoordinatesTitle";
			font = StandardButtonFont,
			x = 300, y = 550,
			w = 200, h = 30,
			flags = kHAlignCenter,
		},
	},

    FadeWindow {
        w = 800,
        h = 600,
        name = "FadeWindow",

        Bitmap {
            image = "images/panelblack",
            name = "bmpPanelBlack",
            x = 0,
            y = 0,
        }
    },
}
